Servlet and JavaServer Pages API Documentation: Class TagExtraInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.tagext
Class TagExtraInfo

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagExtraInfo

public abstract class TagExtraInfo
extends java.lang.Object

Extra Tag Information for a Custom Tag; this class is mentioned in the Tag Library Descriptor file (TLD). This class must be used: - if the tag defines any scripting variables - if the tag wants to provide translation-time validation of the tag attributes.

Constructor Summary
`TagExtraInfo()`

Method Summary
`TagInfo` | `getTagInfo()` Get the TagInfo for this class
`VariableInfo[]` | `getVariableInfo(TagData data)` information on scripting variables defined by this tag
`boolean` | `isValid(TagData data)` Translation-time validation of the attributes.
`void` | `setTagInfo(TagInfo tagInfo)` Set the TagInfo for this class

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagExtraInfo

    public TagExtraInfo()

Method Detail

### getVariableInfo

    public VariableInfo[] getVariableInfo(TagData data)

  information on scripting variables defined by this tag
  Parameters:
    `data` - The translation-time TagData instance.

### isValid

    public boolean isValid(TagData data)

  Translation-time validation of the attributes. The argument is a translation-time, so request-time attributes are indicated as such.
  Parameters:
    `data` - The translation-time TagData instance.

### setTagInfo

    public final void setTagInfo(TagInfo tagInfo)

  Set the TagInfo for this class
  Parameters:
    `tagInfo` - The TagInfo this instance is extending

### getTagInfo

    public final TagInfo getTagInfo()

  Get the TagInfo for this class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2000 The Apache Software Foundation. All Rights Reserved.